<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau:  Fichier source de include/module/log.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_dc1aacf9e28ad733d01de42bc03b5008.html">module</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">log.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="log_8hpp.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#ifndef LOG_HPP</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#define LOG_HPP</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">// DEFINE</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="log_8hpp.html#a4407b4d6eae3ba7fe9538b1242a7e165">   21</a></span>&#160;<span class="preprocessor">#define DEBUG_INFO    true</span></div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="log_8hpp.html#a22ae4c4cebea059bbe99204f8623dc44">   22</a></span>&#160;<span class="preprocessor">#define DEBUG_SUCCESS true</span></div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="log_8hpp.html#a8a4e4885193c12b840ff3cbedec2451d">   23</a></span>&#160;<span class="preprocessor">#define DEBUG_WARNING true</span></div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="log_8hpp.html#a49bce9dafa991fde5616257caa9e3c4a">   24</a></span>&#160;<span class="preprocessor">#define DEBUG_ERROR   true</span></div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="log_8hpp.html#a02736c2650b0ed5f197cae5207ff6e35">   25</a></span>&#160;<span class="preprocessor">#define DEBUG_MARKER  true</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="log_8hpp.html#a7ce3d6fee94f21c9e3d0ffdd90aadc2e">   27</a></span>&#160;<span class="preprocessor">#define STYLE_BOLD &quot;\033[01;&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="log_8hpp.html#ab240226bb68975ee0f31899f188c71a7">   28</a></span>&#160;<span class="preprocessor">#define FOREGROUND_CYAN    &quot;36m&quot;</span></div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="log_8hpp.html#ac7e7564b3b0cf8504f5af0f1330d1134">   29</a></span>&#160;<span class="preprocessor">#define FOREGROUND_GREEN   &quot;32m&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="log_8hpp.html#a1ee9d42c453a5b8529e5d492d4abb17f">   30</a></span>&#160;<span class="preprocessor">#define FOREGROUND_ORANGE  &quot;33m&quot;</span></div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="log_8hpp.html#aef543dc7ad78ec1b81e744bff6c9c075">   31</a></span>&#160;<span class="preprocessor">#define FOREGROUND_RED     &quot;31m&quot;</span></div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="log_8hpp.html#a5a8d63e9fa43af8f83e9009a6dabd379">   32</a></span>&#160;<span class="preprocessor">#define FOREGROUND_GRAY   &quot;90m&quot;</span></div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="log_8hpp.html#abadd0d9f6ba46167da47ff05d65915ac">   33</a></span>&#160;<span class="preprocessor">#define FOREGROUND_MAGENTA &quot;35m&quot;</span></div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="log_8hpp.html#ab702106cf3b3e96750b6845ded4e0299">   34</a></span>&#160;<span class="preprocessor">#define RESET &quot;\033[00;m&quot;</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment">// INCLUDES</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#include &lt;stdlib.h&gt;</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="comment">// NAMESPACE</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacestd.html">std</a>;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="comment">// METHODS</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="keywordtype">void</span> <a class="code" href="log_8hpp.html#af7b103f090258a8569cd05d802726b0d">LogInfo</a>(<span class="keywordtype">string</span> filename, <span class="keywordtype">string</span> message);</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="keywordtype">void</span> <a class="code" href="log_8hpp.html#ab2e095f380888b1b6f301da32adc020b">LogSuccess</a>(<span class="keywordtype">string</span> filename, <span class="keywordtype">string</span> message);</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="keywordtype">void</span> <a class="code" href="log_8hpp.html#a032429cc7d0cad047ef5ebaee5db9427">LogWarning</a>(<span class="keywordtype">string</span> filename, <span class="keywordtype">string</span> message);</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="keywordtype">void</span> <a class="code" href="log_8hpp.html#af4db8d88ba4dc1f5ff2cf1dfd1160e47">LogError</a>(<span class="keywordtype">string</span> filename, <span class="keywordtype">string</span> message);</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="keywordtype">void</span> <a class="code" href="log_8hpp.html#a5d5e8bb226ad6b4b648f013962a6d6cf">LogMarker</a>(<span class="keywordtype">string</span> filename, <span class="keywordtype">string</span> message);</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="log_8hpp_html_ab2e095f380888b1b6f301da32adc020b"><div class="ttname"><a href="log_8hpp.html#ab2e095f380888b1b6f301da32adc020b">LogSuccess</a></div><div class="ttdeci">void LogSuccess(string filename, string message)</div><div class="ttdoc">méthode de création d&amp;#39;un log de type succés </div></div>
<div class="ttc" id="log_8hpp_html_a032429cc7d0cad047ef5ebaee5db9427"><div class="ttname"><a href="log_8hpp.html#a032429cc7d0cad047ef5ebaee5db9427">LogWarning</a></div><div class="ttdeci">void LogWarning(string filename, string message)</div><div class="ttdoc">méthode de création d&amp;#39;un log de type alerte </div></div>
<div class="ttc" id="namespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div></div>
<div class="ttc" id="log_8hpp_html_af4db8d88ba4dc1f5ff2cf1dfd1160e47"><div class="ttname"><a href="log_8hpp.html#af4db8d88ba4dc1f5ff2cf1dfd1160e47">LogError</a></div><div class="ttdeci">void LogError(string filename, string message)</div><div class="ttdoc">méthode de création d&amp;#39;un log de type erreur </div></div>
<div class="ttc" id="log_8hpp_html_a5d5e8bb226ad6b4b648f013962a6d6cf"><div class="ttname"><a href="log_8hpp.html#a5d5e8bb226ad6b4b648f013962a6d6cf">LogMarker</a></div><div class="ttdeci">void LogMarker(string filename, string message)</div><div class="ttdoc">méthode de création d&amp;#39;un log de type point de marquage </div></div>
<div class="ttc" id="log_8hpp_html_af7b103f090258a8569cd05d802726b0d"><div class="ttname"><a href="log_8hpp.html#af7b103f090258a8569cd05d802726b0d">LogInfo</a></div><div class="ttdeci">void LogInfo(string filename, string message)</div><div class="ttdoc">méthode de création d&amp;#39;un log de type informatif </div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
